This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 763772 - (GLUSTER-2040) Using 'du' and 'ls' command, it got slow performance
Using 'du' and 'ls' command, it got slow performance
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-28 21:58 EDT by Gluster Fan
Modified: 2011-05-25 04:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gluster Fan 2010-10-28 21:58:11 EDT
My environment is glusterfs release 3.1.0. When using 'du' and 'ls' command to check folder's size and file stat information, it got very slow speed especially having lot files and folders. How to imporve 'du' and 'ls' performance, and when to fix this problem?
Comment 1 Anand Avati 2010-11-02 01:58:57 EDT
PATCH: http://patches.gluster.com/patch/5612 in master (socket: avoid check on lowlat for enabling nodelay)
Comment 2 Gluster Fan 2010-11-02 18:20:46 EDT
How to use this patch to fix the problem?
(In reply to comment #1)
> PATCH: http://patches.gluster.com/patch/5612 in master (socket: avoid check on
> lowlat for enabling nodelay)
Comment 3 Gluster Fan 2010-11-02 20:58:58 EDT
I have patch it on every node of glusterfs. I tried to run 'du', 'ls' and 'rm' command, it look still slowly performance.
Comment 4 Shehjar Tikoo 2010-11-08 22:11:56 EST
Please try mounting with nordirplus mount option. It is known to improve performance for some apps accessing large directories.

Use the following command:

mount -o nordirplus .........
Comment 5 Gluster Fan 2010-11-09 00:23:47 EST
I try to mount volume with nordirplus option, but its performance is still slow.
My environment include 20 datanodes, and I create volume cross the 20 datanode. The command like "gluster volume create xxxx replica 2 172.x.x.1:/gfs ........"
Comment 6 Shehjar Tikoo 2011-05-25 01:52:52 EDT
This is an inherent problem when dealing with large directories. Dont think Gluster nfs as a server can do anything to fix it if the client caching of directory entries and attributes is not helping.

Note You need to log in before you can comment on or make changes to this bug.